# Interface RccConstants

All Known Implementing Classes:
  `Rcc, RccTokenManager`

public interface RccConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BOOLEAN_TKN`
RegularExpression Id.
`static final int`
`BUFFER_TKN`
RegularExpression Id.
`static final int`
`BYTE_TKN`
RegularExpression Id.
`static final int`
`COMMA_TKN`
RegularExpression Id.
`static final int`
`CSTRING_TKN`
RegularExpression Id.
`static final int`
`DEFAULT`
Lexical state.
`static final int`
`DOT_TKN`
RegularExpression Id.
`static final int`
`DOUBLE_TKN`
RegularExpression Id.
`static final int`
`EOF`
End of File.
`static final int`
`FLOAT_TKN`
RegularExpression Id.
`static final int`
`GT_TKN`
RegularExpression Id.
`static final int`
`IDENT_TKN`
RegularExpression Id.
`static final int`
`INCLUDE_TKN`
RegularExpression Id.
`static final int`
`INT_TKN`
RegularExpression Id.
`static final int`
`LBRACE_TKN`
RegularExpression Id.
`static final int`
`LONG_TKN`
RegularExpression Id.
`static final int`
`LT_TKN`
RegularExpression Id.
`static final int`
`MAP_TKN`
RegularExpression Id.
`static final int`
`MODULE_TKN`
RegularExpression Id.
`static final int`
`RBRACE_TKN`
RegularExpression Id.
`static final int`
`RECORD_TKN`
RegularExpression Id.
`static final int`
`SEMICOLON_TKN`
RegularExpression Id.
`static final String[]`
`tokenImage`
Literal token values.
`static final int`
`USTRING_TKN`
RegularExpression Id.
`static final int`
`VECTOR_TKN`
RegularExpression Id.
`static final int`
`WithinMultiLineComment`
Lexical state.
`static final int`
`WithinOneLineComment`
Lexical state.

## Field Details

### EOF

static final int EOF
End of File.

See Also:
  - Constant Field Values

### MODULE_TKN

static final int MODULE_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### RECORD_TKN

static final int RECORD_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### INCLUDE_TKN

static final int INCLUDE_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### BYTE_TKN

static final int BYTE_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### BOOLEAN_TKN

static final int BOOLEAN_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### INT_TKN

static final int INT_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### LONG_TKN

static final int LONG_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### FLOAT_TKN

static final int FLOAT_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### DOUBLE_TKN

static final int DOUBLE_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### USTRING_TKN

static final int USTRING_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### BUFFER_TKN

static final int BUFFER_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### VECTOR_TKN

static final int VECTOR_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### MAP_TKN

static final int MAP_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### LBRACE_TKN

static final int LBRACE_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### RBRACE_TKN

static final int RBRACE_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### LT_TKN

static final int LT_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### GT_TKN

static final int GT_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### SEMICOLON_TKN

static final int SEMICOLON_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### COMMA_TKN

static final int COMMA_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### DOT_TKN

static final int DOT_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### CSTRING_TKN

static final int CSTRING_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### IDENT_TKN

static final int IDENT_TKN
RegularExpression Id.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Lexical state.

See Also:
  - Constant Field Values

### WithinOneLineComment

static final int WithinOneLineComment
Lexical state.

See Also:
  - Constant Field Values

### WithinMultiLineComment

static final int WithinMultiLineComment
Lexical state.

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage
Literal token values.